gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.IWrapper An interface to represent the rows of a tree when one of them is dragged to another location.
- Method
  2.12.0.0
  System.Boolean `` a to delete Asks the TreeDragSource to delete the row at path, because it was moved somewhere else via drag-and-drop. Returns FALSE if the deletion fails because path no longer exists, or for some model-specific reason. Should robustly handle a path no longer found in the model. A boolean for whether the deletion succeeded.
- Method
  2.12.0.0
  System.Boolean `` `` a a object to fill with data Asks the to fill in with a representation of the row at . Should robustly handle a path no longer found in the model. A boolean; true if data of the required type was provided. FIXME: the original doc says, "selection_data->target gives the required type of the data.", but there doesn't seem to be a parallel in Gtk#. Check this.
- Method
  2.12.0.0
  System.Boolean `` a Check whether the row at is draggable. If the source doesn't implement this method, the row is assumed to be draggable. A boolean, true if this row can be dragged.